<?php

    $wp_customize->register_section_type( 'Wpdevart_Premium_Features_List' );


	##################------ Premium Features Sections ------##################

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_fashion_shop_theme_general_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'fashion-shop' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_fashion_shop_premium_features_url', esc_url('https://wpdevart.com/wordpress-fashion-shop-theme')),
				'premium_features_list' => array(
					esc_html__( '+40 Other Popular Fonts', 'fashion-shop' ),
					esc_html__( '+6 Beautiful Patterns', 'fashion-shop' ),
					esc_html__( 'Wide and Full-width Layouts', 'fashion-shop' ),
					esc_html__( 'Preloader', 'fashion-shop' ),
					esc_html__( 'Customizable Search Overlay', 'fashion-shop' ),
					esc_html__( 'Back To Top Button', 'fashion-shop' ),
					esc_html__( '... and Other Premium Features', 'fashion-shop' ),
				),
				'panel'         => 'wpdevart_fashion_shop_general_settings_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_fashion_shop_theme_header_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'fashion-shop' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_fashion_shop_premium_features_url', esc_url('https://wpdevart.com/wordpress-fashion-shop-theme')),
				'premium_features_list' => array(
					esc_html__( 'Sticky Header Feature', 'fashion-shop' ),
					esc_html__( 'Sticky Header Feature for Mobile', 'fashion-shop' ),
                    esc_html__( 'Wide and Full-width Layouts', 'fashion-shop' ),
					esc_html__( 'Logo Animations', 'fashion-shop' ),
					esc_html__( 'Search Button Animations', 'fashion-shop' ),
                    esc_html__( 'Woo Cart Animations', 'fashion-shop' ),
					esc_html__( '... and Other Premium Features', 'fashion-shop' ),
				),
				'panel'         => 'wpdevart_fashion_shop_header_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_fashion_shop_theme_single_post_page_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'fashion-shop' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_fashion_shop_premium_features_url', esc_url('https://wpdevart.com/wordpress-fashion-shop-theme')),
				'premium_features_list' => array(
					esc_html__( 'Post/Page Title Animations', 'fashion-shop' ),
					esc_html__( '+6 Beautiful Patterns', 'fashion-shop' ),
					esc_html__( 'Post/Page Banner Animations', 'fashion-shop' ),
					esc_html__( 'Breadcrumbs', 'fashion-shop' ),
                    esc_html__( '4 Animated Banner Elements', 'fashion-shop' ),
					esc_html__( 'Animated Elements Colors', 'fashion-shop' ),
					esc_html__( '... and Other Premium Features', 'fashion-shop' ),
				),
				'panel'         => 'wpdevart_fashion_shop_single_post_page_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_fashion_shop_theme_blog_archive_search_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'fashion-shop' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_fashion_shop_premium_features_url', esc_url('https://wpdevart.com/wordpress-fashion-shop-theme')),
				'premium_features_list' => array(
					esc_html__( 'Images Hover Effects', 'fashion-shop' ),
					esc_html__( 'Archive/Search Page Title Animations', 'fashion-shop' ),
                    esc_html__( 'Archive/Search Page Banner Animations', 'fashion-shop' ),
					esc_html__( '4 Animated Elements', 'fashion-shop' ),
                    esc_html__( 'Animated Elements Colors', 'fashion-shop' ),
					esc_html__( '... and Other Premium Features', 'fashion-shop' ),
				),
				'panel'         => 'wpdevart_fashion_shop_blog_archive_search_panel',
				'priority'      => 7777,
			)
		)
	);

    $wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_fashion_shop_theme_custom_homepage_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'fashion-shop' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_fashion_shop_premium_features_url', esc_url('https://wpdevart.com/wordpress-fashion-shop-theme')),
				'premium_features_list' => array(
					esc_html__( '+5 Beautiful Banner Themes', 'fashion-shop' ),
					esc_html__( 'WooCommerce Section', 'fashion-shop' ),
					esc_html__( 'Sales Section', 'fashion-shop' ),
					esc_html__( 'Achievements Section', 'fashion-shop' ),
					esc_html__( 'Advantages Section', 'fashion-shop' ),
					esc_html__( 'Services Section', 'fashion-shop' ),
					esc_html__( 'Wide and Full-width Layouts', 'fashion-shop' ),
					esc_html__( '... and Other Premium Features', 'fashion-shop' ),
				),
				'panel'         => 'wpdevart_fashion_shop_custom_homepage_panel',
				'priority'      => 7777,
			)
		)
	);

	$wp_customize->add_section(
		new Wpdevart_Premium_Features_List(
			$wp_customize,
			'wpdevart_fashion_shop_theme_woo_features',
			array(
				'title'         => esc_html__( 'Even More Options in the Premium Version!', 'fashion-shop' ),
                'upsell_link'  => apply_filters( 'parent_wpdevart_fashion_shop_premium_features_url', esc_url('https://wpdevart.com/wordpress-fashion-shop-theme')),
				'premium_features_list' => array(
                    esc_html__( 'WooCommerce Search Bar Section', 'fashion-shop' ),
					esc_html__( 'Customizable Header Cart', 'fashion-shop' ),
					esc_html__( 'Breadcrumbs', 'fashion-shop' ),
					esc_html__( 'Wide and Full-width Layouts', 'fashion-shop' ),
                    esc_html__( 'Customizable Category List and Search Bar', 'fashion-shop' ),
					esc_html__( 'WooCommerce Sidebar Options', 'fashion-shop' ),
					esc_html__( '... and Other Premium Features', 'fashion-shop' ),
				),
				'panel'         => 'wpdevart_fashion_shop_woocommerce_settings_panel',
				'priority'      => 7777,
			)
		)
	);
        
    ##################------ Premium Features Controls------##################

    $wp_customize->add_setting( 'wpdevart_fashion_shop_logo_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization',
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_logo_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'title_tagline',
        'priority' => 50,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Text Logo animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Text Logo font-size', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( 'Text Logo font weight', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_fashion_shop_font_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_font_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_fonts_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( '+40 Other Popular Fonts', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_fashion_shop_header_general_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_header_general_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_header_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Sticky Header Feature', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Sticky Header Feature for Mobile', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( 'Animations for Header Elements', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_fashion_shop_top_header_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_top_header_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_top_header_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Address Section', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Phone/Email/Address Icon Color', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( 'Animations for Top Header Elements', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );
    
    $wp_customize->add_setting( 'wpdevart_fashion_shop_header_menu_search_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_header_menu_search_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_header_menu_search_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Search Button Animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );

	if ( class_exists( 'WooCommerce' ) ) {
    $wp_customize->add_setting( 'wpdevart_fashion_shop_header_woo_cart_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_header_woo_cart_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_header_woo_cart',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Woo Cart Animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );
    };

    $wp_customize->add_setting( 'wpdevart_fashion_shop_single_post_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_single_post_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_single_post_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'fashion-shop' )
            ),
            'feature5' => array(
                'name' => esc_html__( '+6 Beautiful Patterns', 'fashion-shop' )
            ),
            'feature6' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );
    $wp_customize->add_setting( 'wpdevart_fashion_shop_single_page_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_single_page_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_single_page_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'fashion-shop' )
            ),
            'feature5' => array(
                'name' => esc_html__( '+6 Beautiful Patterns', 'fashion-shop' )
            ),
            'feature6' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );

    $wp_customize->add_setting( 'wpdevart_fashion_shop_blog_archive_page_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_blog_archive_page_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_blog_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'fashion-shop' )
            ),
            'feature5' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );
    $wp_customize->add_setting( 'wpdevart_fashion_shop_search_page_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_search_page_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_search_page_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Title Animations', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( 'Banner Animations', 'fashion-shop' )
            ),
            'feature3' => array(
                'name' => esc_html__( '4 Animated Elements', 'fashion-shop' )
            ),
            'feature4' => array(
                'name' => esc_html__( 'Animated Elements Colors', 'fashion-shop' )
            ),
            'feature5' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );
    $wp_customize->add_setting( 'wpdevart_fashion_shop_blog_settings_premium_features',
    array(
        'sanitize_callback' => 'wpdevart_fashion_shop_text_sanitization'
    )
    );
    $wp_customize->add_control( new Wpdevart_Premium_Features_Control_List( $wp_customize, 'wpdevart_fashion_shop_blog_settings_premium_features',
    array(
        'label' => esc_html__( 'More Features in the Premium Version!', 'fashion-shop' ),
        'section' => 'wpdevart_fashion_shop_blog_archive_search_general_section',
        'priority' => 777,
        'choices' => array(
            'feature1' => array(
                'name' => esc_html__( 'Images Hover Effects', 'fashion-shop' )
            ),
            'feature2' => array(
                'name' => esc_html__( '... and Other Premium Features', 'fashion-shop' )
            ),
        )
    )
    ) );